package com.hxhq.business.enums.dept;

/**
 * 组织类型：1部门，3学科，5小组
 * @author tanfei
 */
public enum DeptTypeEnum {

    /**
     * 部门
     */
    dept(1, "部门"),

    /**
     * 学科
     */
    subject(3, "学科"),

    /**
     * 小组
     */
    team(5, "小组");

    private int value;
    private String text;

    DeptTypeEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static DeptTypeEnum getEnumByValue(int type) {
        for (DeptTypeEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
